Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | List of all members
ezpSessionHandlerPHP Class Reference
Inheritance diagram for ezpSessionHandlerPHP:

## Public Member Functions
| setSaveHandler ()
| read ( $sessionId)
| write ( $sessionId, $sessionData)
| destroy ( $sessionId)
| regenerate ( $updateBackendData=true)
| gc ( $maxLifeTime)
| cleanup ()
| deleteByUserIDs (array $userIDArray)
Public Member Functions inherited from ezpSessionHandler
| __construct ( $userHasCookie=false)
| isConnected ()
| open ( $savePath, $sessionName)
| close ()
| sessionStart ()

## Static Public Member Functions
static | hasBackendAccess ()
static | dbRequired ()
Static Public Member Functions inherited from ezpSessionHandler
static | count ()

## Additional Inherited Members
Public Attributes inherited from ezpSessionHandler
| $userHasCookie

## Detailed Description

Definition at line 19 of file ezpsessionhandlerphp.php.

## Member Function Documentation

## ◆ cleanup()

ezpSessionHandlerPHP::cleanup | ( |  | ) |

reimp (not used in this handler)

Reimplemented from ezpSessionHandler.

Definition at line 100 of file ezpsessionhandlerphp.php.

References $db, ezpEvent\getInstance(), and eZSession\triggerCallback().

## ◆ dbRequired()

static ezpSessionHandlerPHP::dbRequired | ( |  | ) |
| static

reimp (this handler does not use db)

Reimplemented from ezpSessionHandler.

Definition at line 127 of file ezpsessionhandlerphp.php.

## ◆ deleteByUserIDs()

ezpSessionHandlerPHP::deleteByUserIDs | ( | array | $userIDArray | ) |

reimp (not used in this handler)

Reimplemented from ezpSessionHandler.

Definition at line 112 of file ezpsessionhandlerphp.php.

## ◆ destroy()

ezpSessionHandlerPHP::destroy | ( |  | $sessionId | ) |

Session destroy handler Callback: "destroy_[pre|post]" eZDB $db string $sessionId string $escKey

Parameters

  string | $sessionId |

Returns
  bool

Reimplemented from ezpSessionHandler.

Definition at line 53 of file ezpsessionhandlerphp.php.

References ezpEvent\getInstance().

## ◆ gc()

ezpSessionHandlerPHP::gc | ( |  | $maxLifeTime | ) |

reimp (not used in this handler)

Reimplemented from ezpSessionHandler.

Definition at line 88 of file ezpsessionhandlerphp.php.

References $db, ezpEvent\getInstance(), and eZSession\triggerCallback().

## ◆ hasBackendAccess()

static ezpSessionHandlerPHP::hasBackendAccess | ( |  | ) |
| static

reimp (this handler does not use db)

Reimplemented from ezpSessionHandler.

Definition at line 119 of file ezpsessionhandlerphp.php.

## ◆ read()

ezpSessionHandlerPHP::read | ( |  | $sessionId | ) |

reimp (not used in this handler)

Reimplemented from ezpSessionHandler.

Definition at line 40 of file ezpsessionhandlerphp.php.

## ◆ regenerate()

ezpSessionHandlerPHP::regenerate | ( |  | $updateBackendData = `true` | ) |

reimp (Only uses php and callbacks)

Reimplemented from ezpSessionHandler.

Definition at line 65 of file ezpsessionhandlerphp.php.

References $db, ezpEvent\getInstance(), eZSession\triggerCallback(), and eZSession\userID().

## ◆ setSaveHandler()

ezpSessionHandlerPHP::setSaveHandler | ( |  | ) |

reimp (Does nothing, lets php handle sessions) Does set gc_maxlifetime to SessionTimeout to make sure timeout works like DB handler

Reimplemented from ezpSessionHandler.

Definition at line 25 of file ezpsessionhandlerphp.php.

References $ini.

## ◆ write()

ezpSessionHandlerPHP::write | ( |  | $sessionId,
|  |  | $sessionData
| ) |  |

reimp (not used in this handler)

Reimplemented from ezpSessionHandler.

Definition at line 48 of file ezpsessionhandlerphp.php.

The documentation for this class was generated from the following file:

- ezpsessionhandlerphp.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.